Subject: Re: [MinGW-dvlpr] Re: gcc 3.1 [-mno-cygwin and __main ]
From: Danny Smith <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 15 May 2002 14:28:58 +1000 (EST)

--- Christopher Faylor <[email-masked]> wrote: > On Wed, May 15, 2002 at
11:15:48AM +1000, Danny Smith wrote:
> >>Perhaps it's time to drop the -mno-cygwin support and just supply a
> >>cygwin hosted mingw32 targeted cross compiler?
> >
> >That is a key question.
> 
> I assume that you're talking about the cygwin gcc and not mingw.  If so,
> the answer to the question is: No.  We can't do this.  -mno-cygwin is
> needed.
> 
> Please don't make me explain why one more time.
> 
> cgf
> 
 Ok, I understand that.  Cygwin and mingw have slightly different ways of
handling global ctors. The question for mingw developers is more accurately:
How do we handle that difference if we add dwarf2 EH registration to startup
code. Should we try, with marginal (maintenance and runtime) cost, to maintain
status quo? 

I don't know how (when/if) cygwin will implement dwarf2 EH.  Richard
Henderson's patch was spot on, except for wrong use of -1 rather than 0 as
sentinel for end of eh_frame table.

My preference is to try to keep the differences between mingw and cygwin in gcc
code as small as possible.

Danny

Danny  
> _______________________________________________________________
> 
> Have big pipes? SourceForge.net is looking for download mirrors. We supply
> the hardware. You get the recognition. Email Us: [email-masked]
> _______________________________________________
> MinGW-dvlpr mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/mingw-dvlpr 

http://briefcase.yahoo.com.au - Yahoo! Briefcase
- Save your important files online for easy access!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/